curl --request POST \
--url https://api.myrouter.example/api/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_call_id": "<string>"
}
],
"stream": true,
"max_tokens": 2,
"temperature": 1,
"top_p": 0.5,
"tools": [
{}
],
"tool_choice": "<string>",
"response_format": {},
"user": "<string>"
}
'import requests
url = "https://api.myrouter.example/api/v1/chat/completions"
payload = {
"model": "<string>",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_call_id": "<string>"
}
],
"stream": True,
"max_tokens": 2,
"temperature": 1,
"top_p": 0.5,
"tools": [{}],
"tool_choice": "<string>",
"response_format": {},
"user": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
messages: [{content: '<string>', name: '<string>', tool_call_id: '<string>'}],
stream: true,
max_tokens: 2,
temperature: 1,
top_p: 0.5,
tools: [{}],
tool_choice: '<string>',
response_format: {},
user: '<string>'
})
};
fetch('https://api.myrouter.example/api/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>",
"tool_call_id": "<string>"
},
"finish_reason": "<string>"
}
],
"usage": {
"input_tokens": 1,
"output_tokens": 1,
"total_tokens": 1,
"cache_read_tokens": 1,
"cache_write_tokens": 1,
"reasoning_tokens": 1
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"request_id": "<string>"
}Create chat completion
OpenRouter/OpenAI-compatible chat completions invocation.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional caller request id.
Body
Public MyRouter model id visible from /models.
Ordered OpenAI-compatible messages.
1Show child attributes
Show child attributes
Whether to stream server-sent events.
Maximum output tokens.
x >= 1Sampling temperature.
0 <= x <= 2Nucleus sampling value.
0 <= x <= 1OpenAI-compatible tool definitions.
Tool selection policy.
Structured response format options.
Customer end-user correlation id, not MyRouter principal.
Response
Create chat completion response.
Platform-generated completion id.
OpenAI-compatible object discriminator.
Unix timestamp.
Model id used.
Completion choices.
Show child attributes
Show child attributes
Runtime usage facts, not invoice-grade charge evidence.
Show child attributes
Show child attributes